SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000206SiT!pluginspublic2008-11-04 20:392009-08-16 14:38
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000206: Mechanism to allow plugins to add i18n
DescriptionPlugins needs to be able to add words to the i18n dictionary, we dont want to have to put all the words into the main dictionary
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000161)
kieran (administrator)
2008-11-04 21:39

After a brief discussion on IRC, we're thinking that plugins can ship their own lang files and detect which language the user is using and use the appropriate one, that sounds reasonble?
User avatar (0000170)
ivan (administrator)
2008-11-06 22:34

I can't see a use-case where a plugin would need to add a key to the i18n dictionary for that to be used by SIT. If it were a new key then SiT wouldn't know about it. If it's a key for another plugin to use, I think that's unnecessary, each plugin can just keep track of it's own strings.
User avatar (0000253)
ivan (administrator)
2008-12-03 17:36

Paul,

Should this be closed now? it's marked for feedback.

Ivan
User avatar (0000262)
paulh (administrator)
2008-12-03 20:39

Whilst I agree the i18n and strings should be in the plugin there needs to be a mechanism (I feel) in SiT! which loads the correct i18n words.

The benefits of this are:

* Standard way of storing/registering i18n words and transations
* Code not duplicated as its in core sit (rather than every plugin)
* i18n mechanism the same for all plugins

I'm not entirely sure how to do this but my thoughts are:

* Consistent variable for each plugin which defines which languages it supports and where the string files are and SiT includes them?
* Use plugin_{do,register} to register the i18n words for the plugins?

I want to avoid getting to a situation where we have 10 SiT plugins doing i18n in 10 different ways which makes it difficult/confusing for translators
User avatar (0001070)
ivan (administrator)
2009-05-15 16:14

Added in svn trunk r5382. Plugins can have i18n files (e.g. plugins/myplugin/i18n/en-GB.inc.php) etc.
User avatar (0001071)
ivan (administrator)
2009-05-15 16:33

Added some documentation for this http://sitracker.org/wiki/Creating_Plugins#Plugin_Internationalisation [^]
User avatar (0001615)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2008-11-04 20:39 paulh New Issue
2008-11-04 21:39 kieran Note Added: 0000161
2008-11-06 22:34 ivan Note Added: 0000170
2008-11-06 22:35 ivan Status new => feedback
2008-11-29 23:32 kieran Target Version 3.45 => 3.50
2008-12-03 17:36 ivan Note Added: 0000253
2008-12-03 20:39 paulh Note Added: 0000262
2008-12-10 16:50 paulh Status feedback => assigned
2008-12-10 16:50 paulh Assigned To => ivan
2009-05-15 16:14 ivan Note Added: 0001070
2009-05-15 16:14 ivan Status assigned => resolved
2009-05-15 16:14 ivan Resolution open => fixed
2009-05-15 16:14 ivan Fixed in Version => Current SVN
2009-05-15 16:33 ivan Note Added: 0001071
2009-08-16 13:17 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001615
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker